Retrieve list of users

GET
https://example.kaiten.ru/api/latest/blockers/{blocker_id}/users
Path parameters
NameTypeReference
blocker_idrequiredintegerBlocker identifier
Headers
NameValue
Content-Typeapplication/json
Responses

200
DescriptionResponse typeExample
SuccessArray of bjects
Open
Response Attributes
NameTypeDescription
id

integer

User id
full_name

string

User full name
email

string

User email
username

string

Username for mentions and login
avatar_initials_url

string

Default user avatar
avatar_uploaded_url

null | string

User uploaded avatar url
initials

string

User initials
avatar_type

enum

1 – gravatar, 2 – initials, 3 - uploaded
lng

string

Language
timezone

string

Time zone
theme

enum

light - light color theme, dark - dark color theme, auto - color theme based on OS settings
updated

string

Last update timestamp
created

string

Create date
activated

boolean

User activated flag
ui_version

enum

1 - old ui. 2 - new ui
virtual

boolean

Whether the user is virtual
email_blocked

string | null

If blocked, email block timestamp
email_blocked_reason

null | string

Reason of blocking
delete_requested_at

null | string

Delete date
show_tour

boolean

Whether to show tour to user
chat_enabled

boolean

Chat enabled flag
sd_telegram_id

null | string

Telegram ID
news_subscription

boolean

News subscription status
uid

string

User unique identifier
delete_confirmation_sent_at

null | string

Delete confirmation sent timestamp
eula_accepted_at

null | string

EULA acceptance timestamp
terms_of_service_accepted_at

null | string

Terms of service acceptance timestamp
privacy_policy_accepted_at

null | string

Privacy policy acceptance timestamp
block_uid

string

Block unique identifier
user_uid

string

User unique identifier (duplicate)
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/blockers/{blocker_id}/users' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!